using System;
using Server;
using Server.Items;

namespace Server.Mobiles
{
	[CorpseName( "a elder treefellow corpse" )]
	public class ElderTreefellow : BaseCreature
	{
		[Constructable]
		public ElderTreefellow() : base( AIType.AI_Melee, FightMode.Evil, 10, 1, 0.2, 0.4 )
		{
			Name = "a elder treefellow";
			Body = 301;
			BaseSoundID = 442;
			Hue = 1854;

			SetStr( 496, 720 );
			SetDex( 31, 55 );
			SetInt( 266, 390 );

			SetHits( 1118, 1132 );

			SetDamage( 12, 16 );

			SetDamageType( ResistanceType.Physical, 100 );

			SetResistance( ResistanceType.Physical, 99, 100 );
			SetResistance( ResistanceType.Cold, 50, 60 );
			SetResistance( ResistanceType.Poison, 30, 35 );
			SetResistance( ResistanceType.Energy, 20, 30 );

			SetSkill( SkillName.MagicResist, 40.1, 55.0 );
			SetSkill( SkillName.Tactics, 65.1, 90.0 );
			SetSkill( SkillName.Wrestling, 65.1, 85.0 );

			Fame = 500;
			Karma = 1500;

			VirtualArmor = 44;

			PackGold( 1200, 1350 );
			if( Utility.Random( 100 ) < 100 ) 
			switch ( Utility.Random( 8 )) 
			{ 
				case 0: PackItem( new RunicFletchersTools( CraftResource.Oak, 5 ) ); break; 
				case 1: PackItem( new RunicFletchersTools( CraftResource.Maple, 5 ) ); break; 
				case 2: PackItem( new RunicFletchersTools( CraftResource.Pine, 5 ) ); break; 
				case 3: PackItem( new RunicFletchersTools( CraftResource.BlueBark, 5 ) ); break; 
				case 4: PackItem( new RunicFletchersTools( CraftResource.BlackBark, 5 ) ); break; 
				case 5: PackItem( new RunicFletchersTools( CraftResource.BloodLeaf, 5 ) ); break; 
				case 6: PackItem( new RunicFletchersTools( CraftResource.Swamp, 5 ) ); break; 
				case 7: PackItem( new RunicFletchersTools( CraftResource.Elven, 5 ) ); break; 
			}
			
		}

		public override bool CanRummageCorpses{ get{ return true; } }
		public override Poison PoisonImmune{ get{ return Poison.Deadly; } }
		public override int TreasureMapLevel{ get{ return 5; } } 

		public ElderTreefellow( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}