using System; 
using System.Collections; 
using Server.Misc; 
using Server.Items; 
using Server.Mobiles; 

namespace Server.Mobiles 
{ 
   public class MadCrafter : BaseCreature 
   { 

	private static bool m_Talked;

	string[] kfcsay = new string[]
	{
	"Let me measure you up for your grave!!!",
	"Why do you need a new stuff?",
	"I'm off for lunch....your lunch!!!",
	"I'll let you pick the color, Reds my favorite..."
	};

      [Constructable] 
      public MadCrafter() : base( AIType.AI_Melee, FightMode.Closest, 10, 1, 0.15, 0.4 ) 
      { 
         SpeechHue = Utility.RandomDyedHue(); 
         Hue = 0x54321; 

         if ( Female = Utility.RandomBool() ) 
         { 
            Body = 401; 
            Name = "a insane crafter"; 
         } 
         else 
         { 
            Body = 400; 
            Name = "a mad crafter";
	    Hue = 2118; 
         } 

         SetStr( 200, 210 ); 
         SetDex( 95, 100 ); 
         SetInt( 25, 35 );

	 SetHits( 475, 1550 ); 

         SetDamage( 30, 40 ); 

         SetDamageType( ResistanceType.Physical, 100 ); 

         SetResistance( ResistanceType.Physical, 30, 45 ); 
         SetResistance( ResistanceType.Fire, 20, 30 ); 
         SetResistance( ResistanceType.Cold, 20, 30 ); 
         SetResistance( ResistanceType.Poison, 5, 20 ); 
         SetResistance( ResistanceType.Energy, 5, 20 ); 

         SetSkill( SkillName.Anatomy, 120.0 ); 
         SetSkill( SkillName.MagicResist, 90.0 ); 
         SetSkill( SkillName.Macing, 120.0 ); 
         SetSkill( SkillName.Tactics, 120.0 ); 

         Fame = 5000; 
         Karma = -5000; 

         new Beetle().Rider = this; 

         AddItem( new PlateChest() ); 
         AddItem( new PlateArms() ); 
         AddItem( new PlateGloves() ); 
         AddItem( new PlateGorget() ); 
         AddItem( new PlateLegs() ); 
         AddItem( new WarHammer() ); 

	 Item hair = new Item( Utility.RandomList( 0x203B, 0x2049, 0x2048, 0x204A ) ); 
         hair.Hue = 1153; 
         hair.Layer = Layer.Hair; 
         hair.Movable = false; 
         AddItem( hair );
 
         PackGold( 1150, 1400);
	 if( Utility.Random( 100 ) < 100 ) 
			switch ( Utility.Random( 100 )) 
			{ 
				case 0: PackItem( new PowerScroll( SkillName.Blacksmith, 120 ) ); break; 
				case 1: PackItem( new PowerScroll( SkillName.Blacksmith, 105 ) ); break; 
				case 2: PackItem( new PowerScroll( SkillName.Blacksmith, 105 ) ); break; 
				case 3: PackItem( new PowerScroll( SkillName.Blacksmith, 105 ) ); break; 
				case 4: PackItem( new PowerScroll( SkillName.Blacksmith, 115 ) ); break; 
				case 5: PackItem( new PowerScroll( SkillName.Blacksmith, 105 ) ); break; 
				case 6: PackItem( new PowerScroll( SkillName.Blacksmith, 105 ) ); break; 
				case 7: PackItem( new PowerScroll( SkillName.Blacksmith, 105 ) ); break; 
				case 8: PackItem( new PowerScroll( SkillName.Blacksmith, 105 ) ); break; 
				case 9: PackItem( new PowerScroll( SkillName.Blacksmith, 110 ) ); break; 
				case 10: PackItem( new PowerScroll( SkillName.Tailoring, 120 ) ); break;  
				case 11: PackItem( new PowerScroll( SkillName.Tailoring, 105 ) ); break; 
				case 12: PackItem( new PowerScroll( SkillName.Tailoring, 105 ) ); break; 
				case 13: PackItem( new PowerScroll( SkillName.Tailoring, 105 ) ); break; 
				case 14: PackItem( new PowerScroll( SkillName.Tailoring, 115 ) ); break; 
				case 15: PackItem( new PowerScroll( SkillName.Tailoring, 105 ) ); break; 
				case 16: PackItem( new PowerScroll( SkillName.Tailoring, 105 ) ); break; 
				case 17: PackItem( new PowerScroll( SkillName.Tailoring, 105 ) ); break; 
				case 18: PackItem( new PowerScroll( SkillName.Tailoring, 105 ) ); break; 
				case 19: PackItem( new PowerScroll( SkillName.Tailoring, 110 ) ); break;  
				case 20: PackItem( new PowerScroll( SkillName.Tinkering, 120 ) ); break; 
				case 21: PackItem( new PowerScroll( SkillName.Tinkering, 105 ) ); break; 
				case 22: PackItem( new PowerScroll( SkillName.Tinkering, 105 ) ); break; 
				case 23: PackItem( new PowerScroll( SkillName.Tinkering, 105 ) ); break; 
				case 24: PackItem( new PowerScroll( SkillName.Tinkering, 115 ) ); break; 
				case 25: PackItem( new PowerScroll( SkillName.Tinkering, 105 ) ); break; 
				case 26: PackItem( new PowerScroll( SkillName.Tinkering, 105 ) ); break; 
				case 27: PackItem( new PowerScroll( SkillName.Tinkering, 105 ) ); break; 
				case 28: PackItem( new PowerScroll( SkillName.Tinkering, 105 ) ); break; 
				case 29: PackItem( new PowerScroll( SkillName.Tinkering, 110 ) ); break; 
				case 30: PackItem( new PowerScroll( SkillName.Mining, 120 ) ); break;  
				case 31: PackItem( new PowerScroll( SkillName.Mining, 105 ) ); break; 
				case 32: PackItem( new PowerScroll( SkillName.Mining, 105 ) ); break; 
				case 33: PackItem( new PowerScroll( SkillName.Mining, 105 ) ); break; 
				case 34: PackItem( new PowerScroll( SkillName.Mining, 105 ) ); break; 
				case 35: PackItem( new PowerScroll( SkillName.Mining, 115 ) ); break; 
				case 36: PackItem( new PowerScroll( SkillName.Mining, 105 ) ); break; 
				case 37: PackItem( new PowerScroll( SkillName.Mining, 105 ) ); break; 
				case 38: PackItem( new PowerScroll( SkillName.Mining, 105 ) ); break; 
				case 39: PackItem( new PowerScroll( SkillName.Mining, 110 ) ); break; 
				case 40: PackItem( new PowerScroll( SkillName.Carpentry, 120 ) ); break;  
				case 41: PackItem( new PowerScroll( SkillName.Carpentry, 105 ) ); break; 
				case 42: PackItem( new PowerScroll( SkillName.Carpentry, 105 ) ); break; 
				case 43: PackItem( new PowerScroll( SkillName.Carpentry, 105 ) ); break; 
				case 44: PackItem( new PowerScroll( SkillName.Carpentry, 105 ) ); break; 
				case 45: PackItem( new PowerScroll( SkillName.Carpentry, 115 ) ); break; 
				case 46: PackItem( new PowerScroll( SkillName.Carpentry, 105 ) ); break; 
				case 47: PackItem( new PowerScroll( SkillName.Carpentry, 105 ) ); break; 
				case 48: PackItem( new PowerScroll( SkillName.Carpentry, 105 ) ); break; 
				case 49: PackItem( new PowerScroll( SkillName.Carpentry, 110 ) ); break; 
				case 50: PackItem( new PowerScroll( SkillName.Alchemy, 120 ) ); break; 
				case 51: PackItem( new PowerScroll( SkillName.Alchemy, 105 ) ); break; 
				case 52: PackItem( new PowerScroll( SkillName.Alchemy, 105 ) ); break; 
				case 53: PackItem( new PowerScroll( SkillName.Alchemy, 105 ) ); break; 
				case 54: PackItem( new PowerScroll( SkillName.Alchemy, 115 ) ); break; 
				case 55: PackItem( new PowerScroll( SkillName.Alchemy, 105 ) ); break; 
				case 56: PackItem( new PowerScroll( SkillName.Alchemy, 105 ) ); break; 
				case 57: PackItem( new PowerScroll( SkillName.Alchemy, 105 ) ); break; 
				case 58: PackItem( new PowerScroll( SkillName.Alchemy, 105 ) ); break; 
				case 59: PackItem( new PowerScroll( SkillName.Alchemy, 110 ) ); break; 
				case 60: PackItem( new PowerScroll( SkillName.Fletching, 120 ) ); break; 
				case 61: PackItem( new PowerScroll( SkillName.Fletching, 105 ) ); break; 
				case 62: PackItem( new PowerScroll( SkillName.Fletching, 105 ) ); break; 
				case 63: PackItem( new PowerScroll( SkillName.Fletching, 105 ) ); break; 
				case 64: PackItem( new PowerScroll( SkillName.Fletching, 115 ) ); break; 
				case 65: PackItem( new PowerScroll( SkillName.Fletching, 105 ) ); break; 
				case 66: PackItem( new PowerScroll( SkillName.Fletching, 105 ) ); break; 
				case 67: PackItem( new PowerScroll( SkillName.Fletching, 105 ) ); break; 
				case 68: PackItem( new PowerScroll( SkillName.Fletching, 105 ) ); break; 
				case 69: PackItem( new PowerScroll( SkillName.Fletching, 110 ) ); break; 
				case 70: PackItem( new PowerScroll( SkillName.Inscribe, 120 ) ); break;  
				case 71: PackItem( new PowerScroll( SkillName.Inscribe, 105 ) ); break; 
				case 72: PackItem( new PowerScroll( SkillName.Inscribe, 105 ) ); break; 
				case 73: PackItem( new PowerScroll( SkillName.Inscribe, 105 ) ); break; 
				case 74: PackItem( new PowerScroll( SkillName.Inscribe, 115 ) ); break; 
				case 75: PackItem( new PowerScroll( SkillName.Inscribe, 105 ) ); break; 
				case 76: PackItem( new PowerScroll( SkillName.Inscribe, 105 ) ); break; 
				case 77: PackItem( new PowerScroll( SkillName.Inscribe, 105 ) ); break; 
				case 78: PackItem( new PowerScroll( SkillName.Inscribe, 105 ) ); break; 
				case 79: PackItem( new PowerScroll( SkillName.Inscribe, 110 ) ); break; 
				case 80: PackItem( new PowerScroll( SkillName.Cooking, 120 ) ); break;  
				case 81: PackItem( new PowerScroll( SkillName.Cooking, 105 ) ); break; 
				case 82: PackItem( new PowerScroll( SkillName.Cooking, 105 ) ); break; 
				case 83: PackItem( new PowerScroll( SkillName.Cooking, 105 ) ); break; 
				case 84: PackItem( new PowerScroll( SkillName.Cooking, 115 ) ); break; 
				case 85: PackItem( new PowerScroll( SkillName.Cooking, 105 ) ); break; 
				case 86: PackItem( new PowerScroll( SkillName.Cooking, 105 ) ); break; 
				case 87: PackItem( new PowerScroll( SkillName.Cooking, 105 ) ); break; 
				case 88: PackItem( new PowerScroll( SkillName.Cooking, 105 ) ); break; 
				case 89: PackItem( new PowerScroll( SkillName.Cooking, 110 ) ); break; 
				case 90: PackItem( new PowerScroll( SkillName.Cartography, 120 ) ); break;  
				case 91: PackItem( new PowerScroll( SkillName.Cartography, 105 ) ); break; 
				case 92: PackItem( new PowerScroll( SkillName.Cartography, 105 ) ); break; 
				case 93: PackItem( new PowerScroll( SkillName.Cartography, 105 ) ); break; 
				case 94: PackItem( new PowerScroll( SkillName.Cartography, 115 ) ); break; 
				case 95: PackItem( new PowerScroll( SkillName.Cartography, 105 ) ); break; 
				case 96: PackItem( new PowerScroll( SkillName.Cartography, 105 ) ); break; 
				case 97: PackItem( new PowerScroll( SkillName.Cartography, 105 ) ); break; 
				case 98: PackItem( new PowerScroll( SkillName.Cartography, 105 ) ); break; 
				case 99: PackItem( new PowerScroll( SkillName.Cartography, 110 ) ); break; 
      } 
	 //PackItem( new Token( 10, 100 ) ); 

      } 
       
      public override bool OnBeforeDeath() 
      { 
         IMount mount = this.Mount; 

         if ( mount != null ) 
            mount.Rider = null; 

         if ( mount is Mobile ) 
            ((Mobile)mount).Delete(); 

         return base.OnBeforeDeath(); 
      } 

      public override bool AlwaysMurderer{ get{ return true; } } 

      public MadCrafter( Serial serial ) : base( serial ) 
      { 
      }


	public override void OnMovement( Mobile m, Point3D oldLocation ) 
               {                                                    
         		if( m_Talked == false ) 
        		 { 
          		 	 if ( m.InRange( this, 4 ) ) 
          			  {                
          				m_Talked = true; 
              				SayRandom( kfcsay, this ); 
				this.Move( GetDirectionTo( m.Location ) ); 
				SpamTimer t = new SpamTimer(); 
				t.Start(); 
            			} 
		} 
	} 

	private class SpamTimer : Timer 
	{ 
		public SpamTimer() : base( TimeSpan.FromSeconds( 8 ) ) 
		{ 
			Priority = TimerPriority.OneSecond; 
		} 

		protected override void OnTick() 
		{ 
		m_Talked = false; 
		} 
	} 

	private static void SayRandom( string[] say, Mobile m ) 
	{ 
		m.Say( say[Utility.Random( say.Length )] ); 
	}  
	public override void Serialize( GenericWriter writer ) 
      { 
         base.Serialize( writer ); 

         writer.Write( (int) 0 ); // version 
      } 

      public override void Deserialize( GenericReader reader ) 
      { 
         base.Deserialize( reader ); 

         int version = reader.ReadInt(); 
      } 
   } 
}