using System;
using Server;
using Server.Items;

namespace Server.Mobiles
{
	[CorpseName( "an ore elemental corpse" )]
	public class PlatinumElemental : BaseCreature
	{
		[Constructable]
		public PlatinumElemental() : base( AIType.AI_Melee, FightMode.Closest, 10, 1, 0.2, 0.4 )
		{
			// TODO: Gas attack
			Name = "a platinum elemental";
			Body = 108;
			BaseSoundID = 268;
			Hue = 1153;

			SetStr( 326, 455 );
			SetDex( 126, 145 );
			SetInt( 71, 92 );

			SetHits( 436, 553 );

			SetDamage( 9, 16 );

			SetDamageType( ResistanceType.Physical, 30 );
			SetDamageType( ResistanceType.Fire, 70 );

			SetResistance( ResistanceType.Physical, 30, 80 );
			SetResistance( ResistanceType.Fire, 30, 80 );
			SetResistance( ResistanceType.Cold, 10, 80 );
			SetResistance( ResistanceType.Poison, 70, 80 );
			SetResistance( ResistanceType.Energy, 20, 80 );

			SetSkill( SkillName.MagicResist, 50.1, 95.0 );
			SetSkill( SkillName.Tactics, 60.1, 100.0 );
			SetSkill( SkillName.Wrestling, 60.1, 100.0 );

			Fame = 5000;
			Karma = -5000;

			VirtualArmor = 29;

			PackGem();
			PackGem();
			PackItem( new PlatinumOre( 25 ) );
			PackItem( new RunicHammer( CraftResource.Platinum, 5 ) );
		}

		public override bool AutoDispel{ get{ return true; } }

		public PlatinumElemental( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}